If you are using Internet Explorer, please remove blackberry.com from your compatibility view settings.

Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Developer
ShadowMare
Posts: 47
Registered: ‎05-06-2009
My Device: Not Specified
Accepted Solution

how to set application version

[ Edited ]

Hi there!

 

I looked everywhere (OK perhaps not everywhere :smileywink:) but I cant find how to set the application version, so that it is shown in the Application Loader and the manager on the phone.

Eclipse -> Project Properties seems to work, but the version I wrote in is not shown anywhere.

 

Can you help me?

Please use plain text.
Developer
dev2011
Posts: 17
Registered: ‎08-14-2009
My Device: Not Specified

Re: how to set application version

It's in the *.ALX file. Just open it with notepad (or similiar) and you should find something like:

 

        <version >
            2.0.2
        </version>

 

Just put your current versionnumber there!

Please use plain text.
Developer
jMarc
Posts: 94
Registered: ‎10-01-2009
My Device: Not Specified

Re: how to set application version

Yes, it's in the .alx file, but eclipse is supposed to put it there. In general you shouldn't have to edit generated files.

 

You seem to be saying " Project -> Properties-> BlackBerry Project Properties -> General tab -> Version field" is not working. That seems odd to me, seems like it ought to be right.  But I can't say one way or the other, because I don't use it.

 

I use "Window -> Preference -> BlackBerry JDE -> BlackBerry Workspace -> General tab -> Project Version Override field".  That works fine.  If you do that, the version field in the Project Properties dialog gets filled in with the version number and grayed out so you can't change it.

Please use plain text.